Delete a Cadence

Purpose

To delete a cadence.

Endpoints

  • DELETE /settings/automation/cadences/{cadence_ID}

Request Details

Request URL

{api-domain}/crm/{version}/settings/automation/cadences/{cadence_ID}

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.cadences.ALL 
(or)
ZohoCRM.settings.cadences.DELETE

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/automation/cadences/554023000006316030"
-X DELETE
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Possible Errors

  • INVALID_REQUEST_METHODHTTP 400

    The request method is incorrect.
    Resolution: Use the HTTP DELETE method to make this API call. Any other request method will result in this error.

  • INVALID_DATAHTTP 400

    You have specified an incorrect ID in the request.
    Resolution: Use the Get Cadences API to get the unique IDs of cadences configured in your org.

  • AUTHORIZATION_FAILEDHTTP 400

    You do not have sufficient permission to delete cadences
    Resolution: Contact your system administrator.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    The access token you have used to make this API call does not have the required scope.
    Resolution: Generate a new access token with the scope mentioned in the Scopes section.

  • NO_PERMISSIONHTTP 403

    The user does not have permission to delete cadences.
    Resolution: Contact your system administrator.

  • INVALID_URL_PATTERNHTTP 404

    The request URL is incorrect.
    Resolution: Specify a valid request URL. Refer to the Request URL section for the right URL.

  • INTERNAL_ERRORHTTP 500

    Unexpected and unhandled exception in the server. 
    Resolution: Contact the support team at support@zohocrm.com.

Sample Response

Copied{
    "cadences": [
        {
            "code": "SUCCESS",
            "details": {
                "id": "554023000006316048"
            },
            "message": "Cadences deleted successfully",
            "status": "success"
        }
    ]
}